package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabBlackdetail;
import com.zd.laboratory.domain.vo.LabBlackdetailVO;

/**
 * 黑名单历史记录Mapper接口
 *
 * @author zd
 * @date 2021-12-15
 */
public interface LabBlackdetailMapper
{
    /**
     * 查询黑名单历史记录
     *
     * @param id 黑名单历史记录主键
     * @return 黑名单历史记录
     */
    public LabBlackdetail selectLabBlackdetailById(Long id);

    /**
     * 查询黑名单历史记录列表
     *
     * @param labBlackdetailVO 黑名单历史记录
     * @return 黑名单历史记录集合
     */
    public List<LabBlackdetailVO> selectLabBlackdetailList(LabBlackdetailVO labBlackdetailVO);

    /**
     * 新增黑名单历史记录
     *
     * @param labBlackdetail 黑名单历史记录
     * @return 结果
     */
    public int insertLabBlackdetail(LabBlackdetail labBlackdetail);

    /**
     * 修改黑名单历史记录
     *
     * @param labBlackdetail 黑名单历史记录
     * @return 结果
     */
    public int updateLabBlackdetail(LabBlackdetail labBlackdetail);

    /**
     * 删除黑名单历史记录
     *
     * @param id 黑名单历史记录主键
     * @return 结果
     */
    public int deleteLabBlackdetailById(Long id);

    /**
     * 批量删除黑名单历史记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabBlackdetailByIds(Long[] ids);


    /**
     * 查询黑名单历史记录最新数据
     *
     * @param blackId 查询黑名单历史记录最新数据
     * @return 黑名单历史记录
     */
    public LabBlackdetail selectLabBlackdetailByBlackId(Long blackId);


    /**
     * 删除黑名单最新历史记录（根据黑名单blackid）
     *
     * @param blackid 黑名单历史记录主键
     * @return 结果
     */
    public int deleteLabBlackdetailByBlackId(Long blackid);
}
